-------------------------------------
--   "mv-koral" awesome theme   --
--          By Martin V.           --
--                                 --
-- Pridano theme.menu_icon         --
-- -> Upravit ikonu menu v rc.lua  --
-------------------------------------

local themes_path = require("gears.filesystem").get_themes_dir()
local dpi = require("beautiful.xresources").apply_dpi

-- {{{ Main
local theme = {}
theme.wallpaper = "~/.config/awesome/themes/mv-cyan/mv-cyan.png"
-- }}}

-- {{{ Styles
theme.font      = "terminus 9"

-- {{{ Colors
theme.fg_normal  = "#00faff"
theme.fg_focus   = "#FFFFFF"
theme.fg_urgent  = "#CC9393"
theme.bg_normal  = "#00000075"
theme.bg_focus   = "#4d7676A0"
theme.bg_urgent  = "#512325C5"
theme.wibar_bg  = "#00000000"
theme.tasklist_fg_minimize  = "#c8c8c8"
theme.tasklist_bg_minimize  = "#7e7e7eEE"
theme.tasklist_bg_normal  = "#ffffff00"
theme.prompt_bg  = theme.tasklist_bg_normal
theme.bg_systray = theme.bg_normal
theme.widget_red = theme.bg_urgent
theme.widget_main_color = theme.fg_focus
-- }}}

-- {{{ Borders
theme.useless_gap   = dpi(10)
theme.border_width  = dpi(1)
theme.border_normal = theme.bg_normal
theme.border_focus  = theme.fg_focus
theme.border_marked = "#CC9393A5"
-- }}}

-- {{{ Titlebars
theme.titlebar_bg_focus  = theme.bg_focus
theme.titlebar_bg_normal = theme.bg_normal
-- }}}


-- }}}

-- {{{ Mouse finder
theme.mouse_finder_color = "#CC9393"
-- }}}

-- {{{ Menu
theme.menu_height = dpi(15)
theme.menu_width  = dpi(150)
-- }}}

-- {{{ Taglist
theme.taglist_squares_sel   = "~/.config/awesome/themes/mv-cyan/taglist/squarefz.png"
theme.taglist_squares_unsel = "~/.config/awesome/themes/mv-cyan/taglist/squarez.png"
theme.taglist_spacing     = 2
-- }}}

-- {{{ Misc
theme.awesome_icon           = "~/.config/awesome/themes/mv-cyan/awesome-icon.png"
theme.menu_icon           = "~/.config/awesome/themes/mv-cyan/menu.png"
theme.menu_submenu_icon      = "~/.config/awesome/themes/mv-cyan/submenu.png"
-- }}}

-- {{{ Layout
theme.layout_tile       = "~/.config/awesome/themes/mv-cyan/layouts/tile.png"
theme.layout_tileleft   = "~/.config/awesome/themes/mv-cyan/layouts/tileleft.png"
theme.layout_tilebottom = "~/.config/awesome/themes/mv-cyan/layouts/tilebottom.png"
theme.layout_tiletop    = "~/.config/awesome/themes/mv-cyan/layouts/tiletop.png"
theme.layout_fairv      = "~/.config/awesome/themes/mv-cyan/layouts/fairv.png"
theme.layout_fairh      = "~/.config/awesome/themes/mv-cyan/layouts/fairh.png"
theme.layout_spiral     = "~/.config/awesome/themes/mv-cyan/layouts/spiral.png"
theme.layout_dwindle    = "~/.config/awesome/themes/mv-cyan/layouts/dwindle.png"
theme.layout_max        = "~/.config/awesome/themes/mv-cyan/layouts/max.png"
theme.layout_fullscreen = "~/.config/awesome/themes/mv-cyan/layouts/fullscreen.png"
theme.layout_magnifier  = "~/.config/awesome/themes/mv-cyan/layouts/magnifier.png"
theme.layout_floating   = "~/.config/awesome/themes/mv-cyan/layouts/floating.png"
theme.layout_cornernw   = "~/.config/awesome/themes/mv-cyan/layouts/cornernw.png"
theme.layout_cornerne   = "~/.config/awesome/themes/mv-cyan/layouts/cornerne.png"
theme.layout_cornersw   = "~/.config/awesome/themes/mv-cyan/layouts/cornersw.png"
theme.layout_cornerse   = "~/.config/awesome/themes/mv-cyan/layouts/cornerse.png"
-- }}}

-- {{{ Titlebar
theme.titlebar_close_button_focus  = "~/.config/awesome/themes/mv-cyan/titlebar/close_focus.png"
theme.titlebar_close_button_normal = "~/.config/awesome/themes/mv-cyan/titlebar/close_normal.png"

theme.titlebar_minimize_button_normal = "~/.config/awesome/themes/mv-cyan/titlebar/minimize_normal.png"
theme.titlebar_minimize_button_focus  = "~/.config/awesome/themes/mv-cyan/titlebar/minimize_focus.png"

theme.titlebar_ontop_button_focus_active  = "~/.config/awesome/themes/mv-cyan/titlebar/ontop_focus_active.png"
theme.titlebar_ontop_button_normal_active = "~/.config/awesome/themes/mv-cyan/titlebar/ontop_normal_active.png"
theme.titlebar_ontop_button_focus_inactive  = "~/.config/awesome/themes/mv-cyan/titlebar/ontop_focus_inactive.png"
theme.titlebar_ontop_button_normal_inactive = "~/.config/awesome/themes/mv-cyan/titlebar/ontop_normal_inactive.png"

theme.titlebar_sticky_button_focus_active  = "~/.config/awesome/themes/mv-cyan/titlebar/sticky_focus_active.png"
theme.titlebar_sticky_button_normal_active = "~/.config/awesome/themes/mv-cyan/titlebar/sticky_normal_active.png"
theme.titlebar_sticky_button_focus_inactive  = "~/.config/awesome/themes/mv-cyan/titlebar/sticky_focus_inactive.png"
theme.titlebar_sticky_button_normal_inactive = "~/.config/awesome/themes/mv-cyan/titlebar/sticky_normal_inactive.png"

theme.titlebar_floating_button_focus_active  = "~/.config/awesome/themes/mv-cyan/titlebar/floating_focus_active.png"
theme.titlebar_floating_button_normal_active = "~/.config/awesome/themes/mv-cyan/titlebar/floating_normal_active.png"
theme.titlebar_floating_button_focus_inactive  = "~/.config/awesome/themes/mv-cyan/titlebar/floating_focus_inactive.png"
theme.titlebar_floating_button_normal_inactive = "~/.config/awesome/themes/mv-cyan/titlebar/floating_normal_inactive.png"

theme.titlebar_maximized_button_focus_active  = "~/.config/awesome/themes/mv-cyan/titlebar/maximized_focus_active.png"
theme.titlebar_maximized_button_normal_active = "~/.config/awesome/themes/mv-cyan/titlebar/maximized_normal_active.png"
theme.titlebar_maximized_button_focus_inactive  = "~/.config/awesome/themes/mv-cyan/titlebar/maximized_focus_inactive.png"
theme.titlebar_maximized_button_normal_inactive = "~/.config/awesome/themes/mv-cyan/titlebar/maximized_normal_inactive.png"
-- }}}

return theme
